.verticalAlign {
  vertical-align: middle;
  display: inline-block;
  height: 100%;
  margin-left: -1px;
}

.xcConfirm .xc_layer {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #666666;
  opacity: 0.5;
  z-index: 2147000000;
}
.xcConfirm .popBox {
  position: fixed;
  left: 50%;
  top: 50%;
  background-color: #ffffff;
  z-index: 2147000001;
  width: 570px;
  height: 300px;
  margin-left: -285px;
  margin-top: -150px;
  border-radius: 5px;
  font-weight: bold;
  color: #535e66;
}
.xcConfirm .popBox .ttBox {
  line-height: 30px;
  padding: 14px 30px;
  border-bottom: solid 1px #eef0f1;
}
.xcConfirm .popBox .ttBox .tt {
  font-size: 18px;
  display: block;
  /* float: left; */
  height: 30px;
  position: relative;
}
.xcConfirm .popBox .ttBox .clsBtn {
  display: block;
  cursor: pointer;
  width: 12px;
  height: 12px;
  position: absolute;
  top: 22px;
  right: 30px;
  background: url(icons.png) -48px -96px no-repeat;
  z-index: 3;
}
.xcConfirm .popBox .txtBox {
  margin: 40px 100px;
  height: 100px;
  overflow: hidden;
}
.xcConfirm .popBox .txtBox .bigIcon {
  float: left;
  margin-right: 20px;
  width: 48px;
  height: 48px;
  background-image: url(icons.png);
  background-repeat: no-repeat;
  background-position: 48px 0;
}
.xcConfirm .popBox .txtBox p {
  height: 84px;
  margin-top: 16px;
  line-height: 26px;
  overflow-x: hidden;
  overflow-y: auto;
}
.xcConfirm .popBox .txtBox p input {
  width: 364px;
  height: 30px;
  border: solid 1px #eef0f1;
  font-size: 18px;
  margin-top: 6px;
}
.xcConfirm .popBox .btnArea {
  border-top: solid 1px #eef0f1;
}
.xcConfirm .popBox .btnGroup {
  float: right;
}
.xcConfirm .popBox .btnGroup .sgBtn {
  margin-top: 14px;
  margin-right: 10px;
}
.xcConfirm .popBox .sgBtn {
  display: block;
  cursor: pointer;
  float: left;
  width: 95px;
  height: 35px;
  line-height: 35px;
  text-align: center;
  color: #ffffff;
  border-radius: 5px;
}
.xcConfirm .popBox .sgBtn.ok {
  background-color: #448ff2;
  color: #ffffff;
}
.xcConfirm .popBox .sgBtn.cancel {
  background-color: #546a79;
  color: #ffffff;
}
.xcConfirm .popBox .txtBox p {
  font-size: 14px !important;
}
.xcConfirm .popBox .sgBtn.ok {
  font-size: 14px;
}
@media screen and (max-width: 768px) {
  .btnArea {
    padding: 0 0.25rem;
  }
  .xcConfirm .popBox {
    width: 80% !important;
    transform: translate(-50%, -50%);
    height: auto;
    margin: 0;
  }
  .xcConfirm .popBox .ttBox {
    line-height: 0.6rem;
    box-sizing: border-box;
    padding: 0.1rem 0.25rem;
    height: 0.8rem;
  }
  .xcConfirm .popBox .ttBox .clsBtn {
    top: 0.25rem;
    right: 0.3rem;
  }
  .xcConfirm .popBox .txtBox {
    height: auto;
    margin: 0.4rem 1rem;
  }
  .xcConfirm .popBox .txtBox p {
    margin-top: 12px;
    height: auto;
    max-height: 1.5rem;
  }
  .xcConfirm .popBox .sgBtn.ok {
    margin: 0.3rem auto;
  }
}
